<div class="row">
    <div class="col-md-10">
        <label class="search-data" style="margin-top: 12px">ค้นหาข้อมูล</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
        <label class="showsearch" (click)='ShowSearch()' *ngIf="this.showsearch === true">แสดงผลน้อยลง</label>
        <label class="showsearch" (click)='ShowSearch()' *ngIf="this.showsearch !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
</div>
<div *ngIf="this.showsearch === true">
    <div class="row" style="margin-top: 32px">
        <div class="col-md-4 padding-select">
            <div class="label">สายงาน</div>
            <div *ngIf="divisionList_fill !== 'nondata'">
                <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="division"
                    (ngModelChange)="filterSelection('division',division)">
                    <option *ngIf="division !== undefined" value="" selected disabled>กรุณาเลือกสายงาน</option>
                    <option *ngIf="division === undefined" value=undefined selected disabled>กรุณาเลือกสายงาน</option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of divisionList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; {{item.ouName}}</option> -->
                    <option *ngFor="let item of divisionList_fill" [ngValue]="item">{{item.ouName}}</option>
                </select>
            </div>
            <div *ngIf="divisionList_fill === 'nondata'">
                <select class="form-control" [(ngModel)]="division"
                    (ngModelChange)="filterSelection('division',department)">
                    <option *ngIf="division !== undefined" value="" selected disabled> - </option>
                    <option *ngIf="division === undefined" value=undefined selected disabled> - </option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
            </div>
            <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
                (ngModelChange)="filterSaechWorkgroup(department)">
                <option value="" selected disabled>กรุณาเลือกสายงาน</option>
                <option *ngFor="let item of divisionList" value="{{item.ouName}}">{{item.ouName}}</option>
            </select> -->
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">กลุ่มงาน</div>
            <div *ngIf="workgroupList_fill !== 'nondata'">
                <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
                    (ngModelChange)="filterSelection('workgroup',workgroup)">
                    <option *ngIf="workgroup !== undefined" value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
                    <option *ngIf="workgroup === undefined" value=undefined selected disabled>กรุณาเลือกกลุ่มงาน
                    </option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of workgroupList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; groupOuCode: {{item.groupOuCode}}; {{item.ouName}}</option> -->
                    <option *ngFor="let item of workgroupList_fill" [ngValue]="item">{{item.ouName}}</option>
                </select>
            </div>
            <div *ngIf="workgroupList_fill === 'nondata'">
                <select class="form-control" [(ngModel)]="workgroup"
                    (ngModelChange)="filterSelection('workgroup',workgroup)">
                    <option *ngIf="workgroup !== undefined" value="" selected disabled> - </option>
                    <option *ngIf="workgroup === undefined" value=undefined selected disabled> - </option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
            </div>
            <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
                (ngModelChange)="filterSaechDepartment(workgroup)">
                <option value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
                <option *ngFor="let item of workgroupList" value="{{item.ouName}}">{{item.ouName}}</option>
            </select> -->
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">ฝ่ายงาน</div>
            <div *ngIf="departmentList_fill !== 'nondata'">
                <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
                    (ngModelChange)="filterSelection('department',department)">
                    <option *ngIf="department !== undefined" value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
                    <option *ngIf="department === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน
                    </option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of departmentList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; sctrOuCode:{{item.sctrOuCode}}; groupOuCode: {{item.groupOuCode}};  {{item.ouName}}</option> -->
                    <option *ngFor="let item of departmentList_fill" [ngValue]="item">{{item.ouName}}</option>
                </select>
            </div>
            <div *ngIf="departmentList_fill === 'nondata'">
                <select class="form-control" [(ngModel)]="department"
                    (ngModelChange)="filterSelection('department',department)">
                    <option *ngIf="department !== undefined" value="" selected disabled> - </option>
                    <option *ngIf="department === undefined" value=undefined selected disabled> - </option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
            </div>
            <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="division"
                (ngModelChange)="filterSaechDivision(division)">
                <option value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
                <option *ngFor="let item of departmentList" value="{{item.ouName}}">{{item.ouName}}</option>
                ß
            </select> -->
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">ตัวชี้วัด <span style="color: red">*</span></div>
            <!--        <ng-multiselect-dropdown-->
            <!--                [placeholder]="'ทั้งหมด'"-->
            <!--                [data]="dropdownList"-->
            <!--                [(ngModel)]="selectedItems"-->
            <!--                [settings]="dropdownSettings"-->
            <!--        >-->
            <!--        </ng-multiselect-dropdown>-->
            <ng-select [placeholder]="'กรุณาเลือกตัวชี้วัด'" [items]="dropdownList" [multiple]="true" bindLabel="name"
                [selectableGroup]="true" [closeOnSelect]="false" [(ngModel)]="selectedItems">
                <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                    <input id="item-{{index}}" type="checkbox" [ngModel]="item$.selected" /> {{item.name}}
                </ng-template>
            </ng-select>
            <div class="must-selected" [hidden]="selectedItems.length > 0">เลือกข้อมูลอย่างน้อย 1 ตัวชี้วัด</div>
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">ชื่อผลิตภัณฑ์ <span style="color: red">*</span></div>
            <!--        <ng-multiselect-dropdown-->
            <!--                [placeholder]="'กรุณาเลือกชื่อผลิตภัณฑ์'"-->
            <!--                [data]="dropdownList2"-->
            <!--                [(ngModel)]="selectedItems2"-->
            <!--                [settings]="dropdownSettings2"-->
            <!--        >-->
            <!--        </ng-multiselect-dropdown>-->
            <ng-select [placeholder]="'กรุณาเลือกชื่อผลิตภัณฑ์'" [items]="dropdownList2" [multiple]="true"
                bindLabel="productName" [selectableGroup]="true" [closeOnSelect]="false" [(ngModel)]="selectedItems2">
                <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                    <input id="item-{{index}}" type="checkbox" [ngModel]="item$.selected" /> {{item.productName}}
                </ng-template>
            </ng-select>
            <div class="must-selected-1" [hidden]="selectedItems2.length > 0">เลือกข้อมูลอย่างน้อย 1 ผลิตภัณฑ์
            </div>
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">มุมมองของรายงาน</div>
            <select class="selected custom-select" [(ngModel)]="aspect">
                <option value="" hidden disabled>กรุณาเลือกมุมมองของรายงาน</option>
                <option value="มุมมองรายไตรมาส">มุมมองรายไตรมาส</option>
                <option value="มุมมองรายปี">​​​มุมมองรายปี</option>
            </select>
            <div style="color: #f8f9fa">.</div>
        </div>

        <div class="col-md-10"></div>
        <div class="col-md-2">
            <button class="btn rectangle-button" [disabled]="selectedItems2 && !selectedItems2.length"
                (click)="onSearch()">ค้นหา</button>
        </div>
    </div>
    <div class="row" style="margin-top: 32px">

        <div class="row" [hidden]="hide === true">
            <div class="col-md-12 result-search">
                ผลการค้นหา
            </div>
            <div class="col-md-11 rectangle-line" style="margin-top: 12px;margin-bottom: 32px;margin-left: 10px;"></div>
            <div class="col-md-4 Indicators">ตัวชี้วัด</div>
            <div class="col-md-8 graph-show">กราฟแสดงการเปรียบเทียบระหว่างข้อมูลที่เกิดขึ้นจริงกับ Trigger
            </div>
        </div>
        <div class="row" style="margin-top: 24px" [hidden]="hide === true">
            <div class="col-md-12 Amount-of-business" style="margin-top: 32px;margin-left: 10px;">การควบคุม</div>
            <div class="col-md-11 rectangle-line" style="margin-top: 8px;margin-bottom: 32px;margin-left: 10px;"></div>
        </div>
        <div clas="row" [hidden]="hide === true">
            <figure class="highcharts-figure" [hidden]="hide === true">
                <div [hidden]="checkgraph[0] === undefined">
                    <div class="col-md-12">
                        <label class="Project-limit">{{checkgraph[0]}}</label>
                    </div>
                    <div id="0" style="height: 289px;width: 1296px"></div>
                </div>
                <div [hidden]="checkgraph[1] === undefined">
                    <div class="col-md-12" style="margin-top: 15px">
                        <label class="Project-limit">{{checkgraph[1]}}</label>
                    </div>
                    <div id="1" style="height: 289px;width: 1296px"></div>
                </div>
                <div [hidden]="checkgraph[2] === undefined">
                    <div class="col-md-12" style="margin-top: 15px">
                        <label class="Project-limit">{{checkgraph[2]}}</label>
                    </div>
                    <div id="2" style="height: 289px;width: 1296px"></div>
                </div>
                <div [hidden]="checkgraph[3] === undefined">
                    <div class="col-md-12" style="margin-top: 15px">
                        <label class="Project-limit">{{checkgraph[3]}}</label>
                    </div>
                    <div id="3" style="height: 289px;width: 1296px"></div>
                </div>
                <div [hidden]="checkgraph[4] === undefined">
                    <div class="col-md-12" style="margin-top: 15px">
                        <label class="Project-limit">{{checkgraph[4]}}</label>
                    </div>
                    <div id="4" style="height: 289px;width: 1296px"></div>
                </div>
                <div [hidden]="checkgraph[5] === undefined">
                    <div class="col-md-12" style="margin-top: 15px">
                        <label class="Project-limit">{{checkgraph[5]}}</label>
                    </div>
                    <div id="5" style="height: 289px;width: 1296px"></div>
                </div>
                <div [hidden]="checkgraph[6] === undefined">
                    <div class="col-md-12" style="margin-top: 15px">
                        <label class="Project-limit">{{checkgraph[6]}}</label>
                    </div>
                    <div id="6" style="height: 289px;width: 1296px"></div>
                </div>
                <div [hidden]="checkgraph[7] === undefined">
                    <div class="col-md-12" style="margin-top: 15px">
                        <label class="Project-limit">{{checkgraph[7]}}</label>
                    </div>
                    <div id="7" style="height: 289px;width: 1296px"></div>
                </div>
                <!--          <div *ngIf="checkgraph[0] != undefined">-->
                <!--            <div id="4" style="height: 289px;width: 1296px"></div>-->
                <!--          </div>-->
                <!--                <div class="col-md-12" style="margin-top: 32px;margin-bottom: 8px">-->
                <!--                    <label class="วงเงินโครงการ">Outstanding</label>-->
                <!--                </div>-->

                <!--                <div id="5" style="height: 289px;width: 1296px"></div>-->
                <!--                <div id="6" style="height: 289px;width: 1296px"></div>-->
                <!--                <div id="7" style="height: 289px;width: 1296px"></div>-->
            </figure>
        </div>
    </div>